Subject: RE: [dhcwg] Re: WG last call ondraft-ietf-dhc-dhcpv6-opt-dnsconfig-02.txt

From: "BELOEIL Luc FTRD/DMI/CAE" <[email-masked]>
Date: Fri, 21 Feb 2003 14:20:45 +0100

> De : Pekka Savola [mailto:[email-masked]]
> 
> 
> On Fri, 21 Feb 2003, BELOEIL Luc FTRD/DMI/CAE wrote:
> > > > Implementation decision, but I guess typically the 
> results of the
> > > > latest query take precedence.  I don't see a problem 
> here, myself.
> > > 
> > > Unpredictable behavior. Difficult to debug.
> > > 
> > > 	 - Alain.
> > 
> > Good remark! I understand the point/issue if IPv6 provider 
> is not the
> > same as IPv4 one. By that way the node may not have the same global
> > vision of the Domain Name System! 
> 
> I'm having a difficulty seeing the point.  A similar 
> situation happens if 
> the user has manually configured a few nameservers in 
> /etc/resolv.conf and 
> then runs either DHCPv4 / DHCPv6.
> 
Yes

> Is it IETF's business to specify whether or not (and if so, how) the
> entries should be overwritten, prepended/appended, etc. ? 

I'm really not sure. 

>  Is this done
> now with DHCPv4?
No idea.

> I'm not so sure, but something like "DNS servers configured 
> through this
> option should take precedence if some existed beforehand" would be
> acceptable to me Note *no* RFC2119 upper-case keywords.
> 

IMO, the "split vision of DNS" remark is useful for service
architectures but may not be taken into account in some protocol
specifications.

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------